/*-----------------------------------------------------------------------*/
/*                                   TIGA                                */
/*         Copyright (C) 1988-1991  Texas Instruments Incorporated.      */
/*                           All Rights Reserved                         */
/*-----------------------------------------------------------------------*/
/*  TIGA 2-D Graphics Library include file                               */
/*-----------------------------------------------------------------------*/
/*                                                                       */
/*  file            gspextnd.h  (GSP-C equivalent of extend.h)           */
/*                                                                       */
/*  description     This file contains references to functions contained */
/*                  in the TIGA 2-D Graphics Library.  It should be      */
/*                  included in any 340 C file calling a function from   */
/*                  the graphics library.                                */
/*                                                                       */
/*-----------------------------------------------------------------------*/
#include <gsptypes.h>


/*----------------------------------------------------------------------*/
/*  Graphics Library function definitions                               */
/*----------------------------------------------------------------------*/
extern          void  bitblt(short, short, short, short, short, short);
extern          short decode_rect(short, short, PTR);
extern          short delete_font(short);
extern          void  draw_line(short, short, short, short);
extern          void  draw_oval(short, short, short, short);
extern          void  draw_ovalarc(short, short, short, short, short, short);
extern          void  draw_piearc(short, short, short, short, short, short);
extern          void  draw_point(short, short);
extern          void  draw_polyline(short, POINT *);
extern          void  draw_rect(short, short, short, short);
extern unsigned long  encode_rect(short, short, short, short, PTR, unsigned long, unsigned short);
extern          void  fill_convex(short, POINT *);
extern          void  fill_oval(short, short, short, short);
extern          void  fill_piearc(short, short, short, short, short, short);
extern          void  fill_polygon(short, POINT *);
extern          void  fill_rect(short, short, short, short);
extern          void  frame_oval(short, short, short, short, short, short);
extern          void  frame_rect(short, short, short, short, short, short);
extern          void  get_env(ENVIRONMENT *);
extern unsigned long  get_pixel(short, short);
extern          short get_textattr(char *, short, short *);
extern          short install_font(PTR);
extern          short in_font(short, short);
extern          void  move_pixel(short, short, short, short);
extern          void  patnfill_convex(short, POINT *);
extern          void  patnfill_oval(short, short, short, short);
extern          void  patnfill_piearc(short, short, short, short, short, short);
extern          void  patnfill_polygon(short, POINT *);
extern          void  patnfill_rect(short, short, short, short);
extern          void  patnframe_oval(short, short, short, short, short, short);
extern          void  patnframe_rect(short, short, short, short, short, short);
extern          void  patnpen_line(short, short, short, short);
extern          void  patnpen_ovalarc(short, short, short, short, short, short);
extern          void  patnpen_piearc(short, short, short, short, short, short);
extern          void  patnpen_point(short, short);
extern          void  patnpen_polyline(short, POINT *);
extern          void  pen_line(short, short, short, short);
extern          void  pen_ovalarc(short, short, short, short, short, short);
extern          void  pen_piearc(short, short, short, short, short, short);
extern          void  pen_point(short, short);
extern          void  pen_polyline(short, POINT *);
extern          void  put_pixel(unsigned long, short, short);
extern          void  seed_fill(short, short, PTR, short);
extern          void  seed_patnfill(short, short, PTR, short);
extern          short select_font(short);
extern          void  set_draw_origin(short, short);
extern          void  set_dstbm(PTR, short, short, short, short);
extern          void  set_patn(PATTERN *);
extern          void  set_pensize(short, short);
extern          void  set_srcbm(PTR, short, short, short, short);
extern          short set_textattr(char *, short, short *);
extern          void  styled_line(short, short, short, short, long, short);
extern          void  styled_oval(short, short, short, short, long, short);
extern          void  styled_ovalarc(short, short, short, short, short, short, long, short);
extern          void  styled_piearc(short, short, short, short, short, short, long, short);
extern          void  swap_bm(void);
extern          short text_width(char *);
extern          void  zoom_rect(short, short, short, short, short, short, short, short, PTR);
